---
title: "Get restriction alerts for a policy"
url: "https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84/operations/getActiveRestrictAlertsPolicyApi"
---

> Full API specification: https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84.md

# Get restriction alerts for a policy

`GET` `/policy/v1/transactions/{planCode}/{policyNumber}/Restrict`

Operation ID: `getActiveRestrictAlertsPolicyApi`

Returns the restriction alert aggregate from TDS. When none exists, response body is `{}`. Kong rewrites this path to `/bpm/v1/policies/{planCode}/{policyNumber}/Restrict`.

## Path parameters

- `planCode` (string, required) - Plan code
- `policyNumber` (string, required) - Policy number

## Responses

- `200` - Alert aggregate or empty object when no TDS record exists
- `500` - Internal server error

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Zinnia Policy Transactions API.
  version: 1.0.8
servers:
  - url: https://dev.api.zinnia.io
    description: DEV Environment
  - url: https://qa.api.zinnia.io
    description: QA Environment
paths:
  /policy/v1/transactions/{planCode}/{policyNumber}/Restrict:
    parameters:
      - name: planCode
        in: path
        required: true
        schema:
          type: string
        description: Plan code
        example: EVGFIA909
      - name: policyNumber
        in: path
        required: true
        schema:
          type: string
        description: Policy number
        example: EVFIA09222243202
    get:
      tags:
        - Non Financial Transactions
      summary: Get restriction alerts for a policy
      description: >
        Returns the restriction alert aggregate from TDS. When none exists,
        response body is `{}`.

        Kong rewrites this path to
        `/bpm/v1/policies/{planCode}/{policyNumber}/Restrict`.
      operationId: getActiveRestrictAlertsPolicyApi
      responses:
        "200":
          description: Alert aggregate or empty object when no TDS record exists
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: "#/components/schemas/ActiveRestrictPolicyAlertDocument"
                  - type: object
                    maxProperties: 0
                    description: No alert aggregate stored for this policy yet
        "500":
          description: Internal server error
      security:
        - Auth0: []
security:
  - Auth0: []
components:
  schemas:
    ActiveRestrictPolicyAlertDocument:
      type: object
      description: >
        Policy-level restriction alert aggregate (GET
        `/bpm/v1/policies/{planCode}/{policyNumber}/Restrict` when data exists).
      properties:
        policyNumber:
          type: string
        planCode:
          type: string
        correlationId:
          type: string
        alerts:
          type: array
          items:
            $ref: "#/components/schemas/ActiveRestrictAlertEntry"
    ActiveRestrictAlertEntry:
      type: object
      description: One restriction alert lifecycle record in TDS
      properties:
        id:
          type: string
        restrictionType:
          type: string
        status:
          type: string
        activationDetails:
          $ref: "#/components/schemas/ActiveRestrictActivationBlock"
        deactivationDetails:
          nullable: true
          allOf:
            - $ref: "#/components/schemas/ActiveRestrictDeactivationBlock"
        restrictedTransaction:
          type: array
          items:
            $ref: "#/components/schemas/ActiveRestrictRestrictedTransactionItem"
    ActiveRestrictActivationBlock:
      type: object
      properties:
        effectiveDate:
          type: string
        setBy:
          $ref: "#/components/schemas/ActiveRestrictPersonRef"
        documents:
          type: array
          items:
            $ref: "#/components/schemas/ActiveRestrictTdsDocumentRef"
        supportingDocuments:
          type: array
          description: Alternative property name for activation documents on deserialize
          items:
            $ref: "#/components/schemas/ActiveRestrictTdsDocumentRef"
    ActiveRestrictDeactivationBlock:
      type: object
      properties:
        effectiveDate:
          type: string
        setBy:
          $ref: "#/components/schemas/ActiveRestrictPersonRef"
        supportingDocuments:
          type: array
          items:
            $ref: "#/components/schemas/ActiveRestrictTdsDocumentRef"
    ActiveRestrictRestrictedTransactionItem:
      type: object
      properties:
        transaction:
          type: string
        restrictionType:
          type: string
          description: Restriction classification for the transaction row (e.g. hard vs
            soft), not the policy restriction category
    ActiveRestrictPersonRef:
      type: object
      properties:
        name:
          type: string
        email:
          type: string
    ActiveRestrictTdsDocumentRef:
      type: object
      properties:
        documentId:
          type: string
        documentName:
          type: string
  securitySchemes:
    Auth0:
      type: openIdConnect
      openIdConnectUrl: https://login.uat.zinnia.com/.well-known/openid-configuration
      x-kong-security-openid-connect:
        config:
          run_on_preflight: true
          scopes_claim:
            - https://uat.api.zinnia.io/permissions
          audience_claim:
            - aud
          audience_required:
            - https://uat.api.zinnia.io
          client_id:
            - client_id
          auth_methods:
            - bearer
        enabled: true
        protocols:
          - grpc
          - grpcs
          - http
          - https
```
